require 'nicoquery/core/base'


module NicoQuery
  module Core
    class GetThumbInfo
      include NicoQuery::Core::Base

      def initialize(video_id)
        @dynamic_segment = video_id
        @params_array = []
      end

      private
      def host
        'ext.nicovideo.jp'
      end

      def static_segment
        'api/getthumbinfo'
      end
    end
  end
end
